## ide-snippet-private ide-snippet-private |

## Functions

gboolean | ide_snippet_begin ()
void | ide_snippet_pause ()
void | ide_snippet_unpause ()
void | ide_snippet_finish ()
gboolean | ide_snippet_move_next ()
gboolean | ide_snippet_move_previous ()
void | ide_snippet_before_insert_text ()
void | ide_snippet_after_insert_text ()
void | ide_snippet_before_delete_range ()
void | ide_snippet_after_delete_range ()
gboolean | ide_snippet_insert_set ()
void | ide_snippet_dump ()
GtkTextMark * | ide_snippet_get_mark_begin ()
GtkTextMark * | ide_snippet_get_mark_end ()

## Description

## Functions

### ide_snippet_begin ()

    gboolean
    ide_snippet_begin (IdeSnippet *self,
                       GtkTextBuffer *buffer,
                       GtkTextIter *iter);

### ide_snippet_pause ()

    void
    ide_snippet_pause (IdeSnippet *self);

### ide_snippet_unpause ()

    void
    ide_snippet_unpause (IdeSnippet *self);

### ide_snippet_finish ()

    void
    ide_snippet_finish (IdeSnippet *self);

### ide_snippet_move_next ()

    gboolean
    ide_snippet_move_next (IdeSnippet *self);

### ide_snippet_move_previous ()

    gboolean
    ide_snippet_move_previous (IdeSnippet *self);

### ide_snippet_before_insert_text ()

    void
    ide_snippet_before_insert_text (IdeSnippet *self,
                                    GtkTextBuffer *buffer,
                                    GtkTextIter *iter,
                                    gchar *text,
                                    gint len);

### ide_snippet_after_insert_text ()

    void
    ide_snippet_after_insert_text (IdeSnippet *self,
                                   GtkTextBuffer *buffer,
                                   GtkTextIter *iter,
                                   gchar *text,
                                   gint len);

### ide_snippet_before_delete_range ()

    void
    ide_snippet_before_delete_range (IdeSnippet *self,
                                     GtkTextBuffer *buffer,
                                     GtkTextIter *begin,
                                     GtkTextIter *end);

### ide_snippet_after_delete_range ()

    void
    ide_snippet_after_delete_range (IdeSnippet *self,
                                    GtkTextBuffer *buffer,
                                    GtkTextIter *begin,
                                    GtkTextIter *end);

### ide_snippet_insert_set ()

    gboolean
    ide_snippet_insert_set (IdeSnippet *self,
                            GtkTextMark *mark);

### ide_snippet_dump ()

    void
    ide_snippet_dump (IdeSnippet *self);

This is a debugging function to print information about a chunk to stderr. Plugin developers might use this to track down issues when using a snippet.

#### Parameters

self | a IdeSnippet |

Since: 3.32

### ide_snippet_get_mark_begin ()

    GtkTextMark *
    ide_snippet_get_mark_begin (IdeSnippet *self);

Gets the begin text mark, which is only set when the snippet is actively being edited.

#### Parameters

self | an IdeSnippet |

#### Returns

a GtkTextMark or `NULL`.

[transfer none][nullable]

Since: 3.32

### ide_snippet_get_mark_end ()

    GtkTextMark *
    ide_snippet_get_mark_end (IdeSnippet *self);

Gets the end text mark, which is only set when the snippet is actively being edited.

#### Parameters

self | an IdeSnippet |

#### Returns

a GtkTextMark or `NULL`.

[transfer none][nullable]

Since: 3.32